2019-07-21  Thomas E. Dickey  <dickey@invisible-island.net>

	* tack.c, edit.c, tack.h: gcc-8.x-warnings

	* init.c, edit.c: gcc 4.x warning

	* charset.c: update copyright

2019-07-21  Brad.Town

	* charset.c: rewrite of set_attr resulted in off-by-one loop limit

2019-07-21  Thomas E. Dickey  <dickey@invisible-island.net>

	* configure: regen

	* aclocal.m4:
	add CF_CURSES_TERM_H to get proper ifdef's for the boolnames arrays

	* configure.in: add CF_CURSES_TERM_H

	* aclocal.m4: add CF_TERMIOS_TYPES, from xterm

	* sysdep.c: use termios types such as tcflag_t

	* configure.in: use CF_TERMIOS_TYPES

	* configure: regen

	* tack.h: update copyright

	* configure: regen

	* aclocal.m4: resync with my-autoconf

	* package/debian/changelog, package/tack.spec, tack.h: bump

2019-06-30  Thomas E. Dickey  <dickey@invisible-island.net>

	* config.sub: 2019-06-30

2019-06-10  Thomas E. Dickey  <dickey@invisible-island.net>

	* config.guess: 2019-06-10

2017-08-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* package/debian/changelog, package/tack.spec, tack.h: bump

	* charset.c, tack.h, tack.c, edit.c:
	improve ifdef's to recover if term_entry.h is missing

	* charset.c, init.c, tack.h:
	move italics to separate test from sgr, add test for crossed-out

	* output.c, edit.c, tack.h: move VALID_STRING, etc., to tack.h

2017-08-17  Thomas E. Dickey  <dickey@invisible-island.net>

	* charset.c: split charset_sgr into two, since it is really two screens

	* modes.c, pad.c: eliminate forward references

	* output.c:
	avoid having run-on entries in function-key list by putting a space when
	the preceding text on the line happens to end on a column-marker.

2017-08-16  Thomas E. Dickey  <dickey@invisible-island.net>

	* charset.c:
	eliminate forward references.  add demo of italics (not in sgr of course)

2017-08-08  Thomas E. Dickey  <dickey@invisible-island.net>

	* config.guess: 2017-08-05

2017-07-28  Thomas E. Dickey  <dickey@invisible-island.net>

	* ansi.c:
	cppcheck reported an sprintf using output buffer as an input - fix

	* scan.c, ansi.c, charset.c, color.c, control.c, crum.c, edit.c, fun.c, init.c, menu.c, modes.c, output.c, pad.c, sync.c, sysdep.c:
	cppcheck:style-warnings

	* fun.c: quiet a bogus warning from clang --analyze

	* tackgen.c: avoid a zero-sized allocation

	* sysdep.c, tack.c, init.c, tack.h:
	help the compiler know how large temp[] is, for better warnings

	* aclocal.m4: resync with my-autoconf

	* package/debian/changelog: bump

	* configure: regen

	* init.c: build-fix

	* configure.in:
	AIX has acs_map renamed and optionally available as "acs32map"

	* init.c:
	workaround for AIX to turn on optional feature that declares acs32map[]

	* aclocal.m4:
	suppress the second loop-exit, to avoid making undeclared data match first

	* aclocal.m4:
	modify CF_CURSES_CHECK_DATA to accept a list of names to check

	* configure.in:
	add configure check for acs_map and the most common aliases

	* init.c: improve initial port for HPUX to use autoconf to find acs_map

	* sysdep.c: copyright-date

	* package/tack.spec, tack.h: bump

	* sysdep.c, edit.c, init.c, tackgen.c, tack.h:
	initial port to HPUX, which does not declare the name-arrays in its X/Open
	curses header.

2017-07-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* package/tack.spec: disable debug-package

	* tack.1: typographic fixes prompted by lintian warning

	* Makefile.in:
	if built in-tree, we may need shlib to fixup shared library paths

	* edit.c: gcc warning

	* HISTORY, package/debian/changelog, package/tack.spec, tack.h:
	bump to 1.08

2017-07-25  Thomas E. Dickey  <dickey@invisible-island.net>

	* tack.h, tack.c: fix symbol conflict with TRACE

	* modules: fix dependencies for building in ncurses-tree

	* configure: regen

	* tack.c, tack.h, configure.in:
	check for _nc_free_tinfo, for memory-leaks

	* tack.c, init.c, edit.c, tack.h: memory-leaks

	* edit.c:
	initial version of "copy_termtype()", to replace call to ncurses internal
	_nc_copy_termtype() - not a derived function but rewrite.

2017-07-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* init.c: gcc warnings

	* init.c: make "baudrate" work portably

	* init.c, edit.c, tackgen.c, tack.h:
	add configure-checks for "ar" and its flags, needed in configure-checks for data

	* init.c:
	changes to make NetBSD curses "work".  This asks infocmp for the current
	terminal description, with the caveat that the type of cancelled capabilities
	cannot be determined.  Also, it moves the acs initialization earlier to
	work with the incomplete tables.

	* tack.h: for NetBSD, use variables for the array maximums

	* edit.c:
	for NetBSD, use the arrays read via infocmp to construct a "good enough"
	name-table.  Take out the warning for entries not found.

2017-07-23  Thomas E. Dickey  <dickey@invisible-island.net>

	* tackgen.c: for NetBSD workaround, declare maximums for the arrays

	* tack.h: NetBSD 6 also left out plab_norm

	* tack.c: NetBSD needs stdarg, since its curses.h isn't complete.

	* tack.h:
	there's no configure check (yet) for readonly terminfo.  But only ncurses
	is viable -- simplify ifdef.

	* configure.in: no need to check for ttytype[]

	* init.c: provide alternative to ttytype[], using termname()+longname()

	* tackgen.c: build-fix

	* edit.c: NetBSD workaround won't support long-names

	* tackgen.c:
	for NetBSD, provide a workaround - start by stubbing out the data here

	* tack.h: stub for NetBSD will have strnames

	* aclocal.m4: resync with my-autoconf

	* configure: regen

	* README: update dependency notes

	* package/debian/changelog: bump

	* aclocal.m4: add check for term.h if pkg-config is used

	* aclocal.m4, configure.in:
	add configure-checks for "ar" and its flags, needed in configure-checks for data

	* edit.c, tackgen.c: gcc warnings

	* package/debian/rules: use "hardening" flags

	* package/debian/copyright, package/tack.spec, tack.h: bump

	* configure: regen

	* configure.in: fix tackgen dependencies

	* tackgen.c: stricter gcc warnings

	* tack.h: with gcc-stricter, "sun" is not defined

	* configure: regen

	* edit.c, configure.in, tack.h:
	move include of tackgen.h to tack.h to define BOOLCOUNT, etc., for Solaris

	* tack.h, tack.c: add Trace(), for debugging

	* init.c: fill in acs_map[] for Solaris curses (not done in setupterm)

	* edit.c: finish Solaris unused-warnings

	* edit.c: grouped editing functions (not supported with Solaris)

	* edit.c:
	start changes to make function-key test work with Solaris, using macros and
	functions to hide differences between the way capabilities are stored in
	the TERMINAL structure

	* tack.h, pad.c: const-tweaks

	* control.c, tack.h, ansi.c, charset.c, color.c, crum.c, edit.c, fun.c, menu.c, modes.c, pad.c, sync.c, tack.c:
	improve readability using typedefs

	* tack.h: typo

	* tack.h: help readability using typedef's
	add workaround to reduce compiler warnings when building with Solaris curses

	* output.c:
	use workaround to quiet compiler warnings with Solaris curses

	* tack.c: ifdef'd ncurses-specific menu-entry

2017-07-21  Thomas E. Dickey  <dickey@invisible-island.net>

	* init.c:
	Solaris (and other Unix) baudrate function uses SP, e.g., newterm.
	We're using setterm, and most of the baudrate logic here is ncurses-specific.

	* modes.c, crum.c, color.c:
	most of edit.c is ncurses-only since it relies upon using arrays of capabilities
	in TERMINAL - ifdef that and related menu-entries.

	* edit.c:
	partial reorganization/ifdef'ing to get this to compile with Solaris curses

	* tackgen.c, tack.h, pad.c, charset.c, fun.c, tack.c:
	most of edit.c is ncurses-only since it relies upon using arrays of capabilities
	in TERMINAL - ifdef that and related menu-entries.

	* Makefile.in: cleanup tackgen.o

	* aclocal.m4: resync with my-autoconf
	add macro for checking curses-data, e.g., boolnames

	* configure.in: drop checks for unused headers
	add checks for curses data (boolnames, boolfnames and ttytype)

	* output.c, control.c: const-fixes

	* fun.c, pad.c, tack.c: workaround in case terminfo is readonly

	* tack.h:
	work around several problems with NetBSD curses to compile most of tack...

	* charset.c: const-fixes

	* tack.h: omit nc_tparm.h, for portability

2017-07-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* edit.c: eliminate dependency on tic.h

	* edit.c:
	replace calls to _nc_find_entry + _nc_get_hash_table with generated tackgen.h
	wrapper

	* tackgen.c: RCS_BASE

	* modules: add tackgen program, used to generate tackgen.h for edit.c

	* configure.in: add tackgen.h dependency for edit.o

	* Makefile.in: add rule for making tackgen.h

	* tack.c, init.c, tack.h: change tty_basename to a pointer

	* configure.in, tack.c, Makefile.in, tack.h:
	tack no longer uses tic library

2017-07-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* edit.c:
	reduce calls to _nc_find_entry to single function, as a step toward rewrite.
	also, allocate the boolean- and numeric-flags arrays since those may have
	extensions.

	* tack.h: define MAX_BOOLEAN and MAX_NUMBERS for consistency

	* init.c: get the terminfo-entry's filename from infocmp

	* edit.c: eliminate calls to _nc_tic_expand

	* edit.c: eliminate calls to _nc_reset_input and _nc_trans_string

	* init.c:
	eliminate calls to _nc_read_entry and _nc_fallback, no longer needed.

	* charset.c: eliminate call to _nc_init_acs; tack does not use acs_map

	* output.c: modify tc_putp() to check for invalid string-pointer.

2017-04-29  Thomas E. Dickey  <dickey@invisible-island.net>

	* config.sub: 2017-04-02

2017-03-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* init.c:
	use def_prog_mode() to eliminate two internal details from ncurses

	* edit.c, tack.h: accommodate opaque TERMINAL structure in ncurses

	* tack.h: update copyright to match version

	* configure: regen

	* aclocal.m4: resync with my-autoconf:
	 + CF_ADD_CFLAGS
	   improve formatting of generated lists using CF_APPEND_TEXT
	 + CF_CC_ENV_FLAGS
	   several fixes...
	 + CF_GNU_SOURCE
	   recent glibc (Debian 2.23-4 for example) has misordered ifdef/checks for
	   new symbol _DEFAULT_SOURCE, producing warning messages when only _GNU_SOURCE
	   is defined.  Add a followup check to define _DEFAULT_SOURCE.
	 + CF_LD_RPATH_OPT
	   change FreeBSD to use -Wl,-rpath rather than -rpath option.  According to
	   FreeBSD #178732, either works since FreeBSD 4.x; however scons does not
	   accept anything except the -Wl,-rpath form.
	 + CF_LIB_PREFIX
	   build-fixes for OS/2
	 + CF_LINK_DATAONLY
	   quiet strict gcc warning
	 + CF_MAKEFLAGS
	   use $SHELL consistently
	 + CF_NCURSES_CONFIG
	   PKG_CONFIG may simply be unset - fix
	 + CF_PROG_LINT
	   add cpplint to programs to use; drop ad hoc tdlint and alint.
	 + CF_WITH_MAN2HTML
	   use configured shell
	 + CF_WITH_NCURSES_ETC
	   add check for ncurses pthreads
	 + CF_XOPEN_SOURCE
	   add "uclinux" to list of Linux's
	   use _GNU_SOURCE for cygwin headers, tested with cygwin 2.3, 2.5
	   build-fixes for OS/2

	* config.sub: 2017-02-07

	* config.guess: 2017-03-05

	* package/debian/changelog, package/tack.spec, tack.h: bump

2015-07-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* package/debian/changelog, package/tack.spec, tack.h: bump

	* configure: regen

	* configure.in, Makefile.in: add --with-man2html

	* Makefile.in: fix copyright date

	* aclocal.m4: add --with-man2html

2015-06-03  Thomas E. Dickey  <dickey@invisible-island.net>

	* configure: regen

	* configure.in:
	tic functions may/may not be bundled with ncurses.  Add a configure check
	which works with pkg-config, also handling renaming of library used in
	the test-packages for ncurses6

	* package/debian/rules: use ncurses6 package

	* configure: regen

	* configure.in: fix order of evaluation for CF_PKG_CONFIG

2015-06-02  Thomas E. Dickey  <dickey@invisible-island.net>

	* configure.in:
	use CF_WITH_NCURSES_ETC, but disable the pdcurses flavor

	* configure: regen

	* aclocal.m4: use CF_WITH_NCURSES_ETC

	* control.c: workaround for glibc header defect

	* configure: regen

	* aclocal.m4: resync with my-autoconf

	* tack.h, package/debian/changelog, package/tack.spec: bump

2015-05-02  Thomas E. Dickey  <dickey@invisible-island.net>

	* config.guess: update to 2015-03-04

	* config.sub: update to 2015-03-08

2013-07-13  Thomas E. Dickey  <dickey@invisible-island.net>

	* init.c: copyright-date

	* init.c: typo

	* fun.c: copyright-date

	* fun.c: fix warnings from clang 3.3 --analyze

	* scan.c: copyright-date

	* scan.c: fix warnings from clang 3.3 --analyze

	* init.c:
	add error check to setupterm call; ncurses does in fact allow hardcopy and
	generic terminal descriptions (Debian #716377).

	* configure: regen

	* aclocal.m4, configure.in:
	add/use CF_LIB_PREFIX, CF_MAKEFLAGS, CF_TOP_BUILDDIR and CF_WITH_LIB_PREFIX,
	to fix unexpanded variables in Makefile.in

	* package/debian/changelog, tack.h, package/tack.spec: bump

	* configure: regen

	* aclocal.m4: resync with my-autoconf:
	+ add 3rd parameter to AC_DEFINE's to allow autoheader to run
	  (several macros)
	+ CF_MAKE_DOCS: apply workaround from xterm #288 for html output
	+ CF_INTEL_COMPILER, CF_XOPEN_SOURCE: $host_os needs AC_CANONICAL_HOST
	+ CF_ACVERSION_CHECK: change from byacc to work around long-ago
	  breakage in autoconf
	+ CF_GCC_VERSION: amend workarounds to accommodate Debian's
	  modification of version-message
	+ CF_CC_ENV_FLAGS: new macro
	+ remove unused macros

2013-02-10  Thomas E. Dickey  <dickey@invisible-island.net>

	* config.sub, config.guess: update to 2013-02-04

2012-09-16  Thomas E. Dickey  <dickey@invisible-island.net>

	* configure, configure.in:
	add check for long filenames to define HAVE_LONG_FILE_NAMES, needed to choose
	larger limit for MAX_ALIAS (the actual length of a terminal description's name)

	* edit.c: fix Solaris compiler warning

	* tack.c: ensure that $TERM is set and is not too large

	* configure, configure.in, aclocal.m4:
	add --disable-rpath-hack to simplify ports to Solaris

	* edit.c: build-fix for g++

	* configure, aclocal.m4: resync with my-autoconf:
	- add CF_CLANG_COMPILER to tune strict warnings for clang
	- modify CF_CURSES_LIBS to check for tinfo library
	- modify CF_PATH_SYNTAX to allow for variables such as ${datadir}

	* configure, configure.in: remove unused checks for header-files

2012-09-16  Adrian.Bunk

	* configure, configure.in, aclocal.m4, ncurses_tst.hin, sysdep.c, tack.h, Makefile.in:
	- remove fallback definitions for "const" and "inline" from ncurses_tst.hin
	- remove unused AC_HEADER_TIME configure check
	- remove the obsolete CF_SYS_TIME_SELECT configure check
	- change the autoconf prerequisite to "2.52" (noting that the patched 2.52 is
	  actually required)
	- remove configure-checks for AWK and LN_S variables

2012-09-16  Thomas E. Dickey  <dickey@invisible-island.net>

	* Makefile.in: datarootdir is now needed for mandir
	remove unused includedir and datadir

	* package/debian/changelog, package/tack.spec, tack.h: bump

	* configure: regen (will support --datarootdir with this)

2012-04-29  Thomas E. Dickey  <dickey@invisible-island.net>

	* package/debian/changelog, package/tack.spec, tack.h: bump

	* configure: regen

	* aclocal.m4: add CF_MAKE_DOCS
	update CF_GCC_WARNINGS for old gcc's whose pointer-arithmetic warnings were bogus.

	* configure.in:
	use CF_MAKE_DOCS rule in makefile for generating html/pdf/txt versions of manpages.

	* color.c: copyright-date

	* color.c:
	corrected check for ncv (no_color_video), which did not handle the case when
	all video attributes should work.

	* color.c:
	add/use init_palette() and reset_palette() to restore the 0-7 ANSI colors
	to sane values after running the change-colors tests.  Without some specific
	knowledge of the terminal (terminfo does not provide this), it is not possible
	to restore the original colors.

2012-04-28  Thomas E. Dickey  <dickey@invisible-island.net>

	* charset.c: add a test for "eslok" capability

	* charset.c: copyright-date

	* configure: regen

	* configure.in:
	the last change could produce unbalanced quote with certain shells - check
	for that and repair it (report by Samuel Bronson).

2012-03-03  Thomas E. Dickey  <dickey@invisible-island.net>

	* fun.c: gcc warning

	* configure: regen

	* configure.in: Solaris' "set" does not quote - fix with sed.

	* configure: regen

	* configure.in:
	substitution for --disable-echo feature did not work with FreeBSD 7.2;
	work around using output of shell's "set" command.  Also remove CF_PRG_RULES
	which is not needed.

	* aclocal.m4: remove CF_PRG_RULES - unused

	* sysdep.c, scan.c, output.c, ansi.c, edit.c, control.c, fun.c, sync.c, tack.h:
	strict gcc 4.1.2 warnings with CentOS 5.7 64-bit

	* init.c, tack.c:
	quiet unnecesary warning about ignoring return-value from system()

	* configure:
	regen with ac252 20120303 to work with Intel 12.0.3 compiler

	* tack.h:
	quiet unnecesary warning about ignoring return-value from system()

2012-03-02  Thomas E. Dickey  <dickey@invisible-island.net>

	* configure: regen

	* output.c: icc9 warning

	* configure.in: LIBS_CURSES_symbol is redundant - remove

	* package/debian/changelog, package/tack.spec, tack.h: bump-version

	* tack.h: quiet gcc -Wundef warnings
	also quiet two no-return cases when configuring with no-leaks option.

	* configure.in:
	Add CF_ERRNO, CF_LINK_DATAONLY checks with supporting macros to address
	gcc -Wundef warnings about DECL_ERRNO and BROKEN_LINKER symbols.

	* configure.in:
	add EXTRA_CFLAGS to CFLAGS/CPPFLAGS (report by Samuel Bronson)

	* aclocal.m4:
	Add CF_ERRNO, CF_LINK_DATAONLY checks with supporting macros to address
	gcc -Wundef warnings about DECL_ERRNO and BROKEN_LINKER symbols.

2012-03-01  Thomas E. Dickey  <dickey@invisible-island.net>

	* Makefile.in: copyright date

2012-02-29  Werner.Fink

	* Makefile.in, configure.in:
	Update configure-script and makefile template to work with this post-5.9
	change, allowing build of tack within the ncurses source-tree:

	20110924
		+ modify configure script and makefiles to split TIC_ARGS and
		  TINFO_ARGS into pieces corresponding to LDFLAGS and LIBS variables,
		  to help separate searches for tic- and tinfo-libraries (patch by Nick
		  Alcock aka "Nix").

	The change is prompted by review of OpenSUSE package by Werner Fink, using
	a patch from the rpm source file:
		ncurses-5.9-tack-tinfo.dif (2011-11-18)

	and discarding
		ncurses-5.7-tack.dif (2010-01-12)

	because the latter breaks builds with libtool -TD

2012-02-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* configure: regen

	* configure.in:
	add $ECHO_CC to AC_OUTPUT logic, overlooked in echo-fixes

	* tack.h, package/debian/changelog, package/tack.spec: bump

	* configure.in:
	add configure check to determine if we have tinfo library, and further if
	tack needs intermediate ncurses library to link.

	* configure.in: always check for _nc_tic_expand

	* configure.in:
	use CF_DISABLE_ECHO (prompted by patch by Samuel Bronson).

	* aclocal.m4: add CF_DISABLE_ECHO macro

	* aclocal.m4: resync with-my-autoconf:
	+ add/use CF_ACVERSION_CHECK to support lookup with AC_CHECK_TOOLS vs
	  AC_PATH_PROGS for ncurses*-config script in CF_NCURSES_CONFIG
	+ modify CF_ANSI_CC_CHECK to check for environment variable $CC, which
	  conflicts with usage for curses applications.
	+ modify CF_CURSES_LIBS to check for OpenBSD "otermcap" library.
	+ new macro CF_TRY_XOPEN_SOURCE
	+ modify CF_XOPEN_SOURCE to omit Solaris-specific __EXTENSIONS__ definition
	  where possible.  This led to adding workarounds for Darwin, IRIX64, MirBSD,
	  OpenBSD as well as configure check with CF_TRY_XOPEN_SOURCE.  Also modify
	  version pattern for newer AIX systems,

2012-02-25  Thomas E. Dickey  <dickey@invisible-island.net>

	* config.guess, config.sub: update to 2012-02-10

2011-06-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* configure: regen

	* aclocal.m4:
	update CF_CURSES_HEADER, looking for ncurses.h ahead of curses.h for
	consistency with CF_NCURSES_HEADER

	* package/debian/changelog, package/tack.spec, tack.h: bump

2011-06-26  Daniel.Weaver

	* ansi.c:
	minor bug-fix to show "GR" label in appropriate ANSI character-sets.

	* tack.1: update email address

	* scan.wy150: New file.

2011-05-01  Thomas E. Dickey  <dickey@invisible-island.net>

	* configure: regen

	* aclocal.m4, configure.in: add check for lint program

	* output.c, fun.c: gcc warning

	* color.c: fix clang warnings

	* output.c: fix clang warnings
	ensure that EOF is tested properly on return from getchp()

	* fun.c: fix clang warning

	* crum.c: copyright-date

	* crum.c: fix clang warning

	* fun.c: ensure that EOF is checked for return-value from getchp()
	(report by Joachim Schmitz)

	* aclocal.m4: resync with my-autoconf, many fixes

	* package/debian/changelog, package/tack.spec, tack.h: bump

2011-04-01  Thomas E. Dickey  <dickey@invisible-island.net>

	* config.sub: update to 2011-04-01

2011-02-02  Thomas E. Dickey  <dickey@invisible-island.net>

	* config.guess: update to 2011-01-01

2010-09-04  Thomas E. Dickey  <dickey@invisible-island.net>

	* package/tack.spec, package/debian/rules, package/debian/docs, package/debian/copyright, package/debian/control, package/debian/watch, package/debian/changelog, package/debian/source/format:
	RCS_BASE

	* package/RCS, package/debian/RCS, package/debian/source/RCS:
	PERMIT FILE

	* tack.c, tack.h: add patch-date to version message

2010-09-03  Thomas E. Dickey  <dickey@invisible-island.net>

	* AUTHORS: RCS_BASE

	* sysdep.c, sync.c, init.c, fun.c, output.c, scan.c, control.c:
	gcc-warnings

	* fun.c: indent

	* Makefile.in: add dummy for "make check".

	* tack.h, tack.c, sysdep.c, sync.c, scan.c: indent

	* pad.c: copyright-date

	* pad.c, output.c: indent

	* modes.c: copyright-date

	* modes.c: indent

	* menu.c: copyright-date

	* menu.c, init.c, fun.c, edit.c, crum.c, control.c, color.c, charset.c, ansi.c:
	indent

2010-04-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* package/debian/compat: RCS_BASE

2009-12-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* configure:
	regen to get new macros, as well as to use autoconf-252 (patched)

	* aclocal.m4: resync with my-autoconf (many changes)

	* Makefile.in: drop mkdirs.sh, just use mkdir -p

	* control.c, tack.c, sysdep.c, sync.c: strict gcc warnings

	* init.c: check if baudrate() returns ERR, use 1 if so.

	* fun.c, edit.c, pad.c, scan.c, charset.c: strict gcc warnings

	* tack.h: bump to 1.07

	* HISTORY: reason for release

	* ansi.c, output.c, menu.c: strict gcc warnings

	* edit.c:
	fix an incorrect malloc-size in show_report(), which could cause core-dump
	when displaying long list of function-keys, e.g., for xterm-new

2009-11-19  Thomas E. Dickey  <dickey@invisible-island.net>

	* config.guess, config.sub: update to 2009-11-20

2007-08-12  Thomas E. Dickey  <dickey@invisible-island.net>

	* edit.c:
	as of 2007/8/12, ncurses no longer exports the data _nc_info_hash_table.
	Instead, use the function _nc_get_hash_table(), which is in ncurses 5.0

2007-08-11  Thomas E. Dickey  <dickey@invisible-island.net>

	* HISTORY:
	tweak to build with latest ncurses (does not rely on new api's)

2007-04-29  Thomas E. Dickey  <dickey@invisible-island.net>

	* HISTORY, tack.h: mark 1.05

	* configure: regen'd

	* configure.in: update LIB_LINK symbol to match CF_WITH_LIBTOOL change

	* tack.h: use SIG_ATOMIC_T

	* sysdep.c:
	move include of <signal.h> to tack.h so SIG_ATOMIC_T definition works.

	* tack.c: use EXIT_FAILURE/EXIT_SUCCESS

	* sysdep.c: use EXIT_FAILURE/EXIT_SUCCESS
	use SIG_ATOMIC_T

	* output.c: add braces for readability

	* tack.h: trim whitespace

	* scan.c, init.c: use EXIT_FAILURE/EXIT_SUCCESS

	* configure.in, aclocal.m4: add CF_SIG_ATOMIC_T

	* control.c: use SIG_ATOMIC_T

	* Makefile.in:
	update $(LINK) to work with ncurses after importing CF_WITH_LIBTOOL change
	that moved $(CC) into $(LIBTOOL_LINK) symbol.

2007-04-08  Thomas E. Dickey  <dickey@invisible-island.net>

	* configure: regen'd

	* Makefile.in: define $(INCDIR) - needed for building in ncurses tree

	* tack.h:
	expand the ExitProgram() macro into a function which can call the ncurses-
	and tack-specific leak-auditing functions.

	* configure.in:
	check for _nc_free_tic() function, since that's what tack needs.

	* edit.c: add tack_edit_leaks(), to help audit memory leaks

	* tack.c:
	add ExitProgram() function, to free all application memory on exit to simplify
	leak-checking.

	* fun.c: add tack_fun_leaks(), to help audit memory leaks

	* init.c: free the TERMTYPE used just for error-checking (memory leak)

	* tack.h:
	define ExitProgram() macro to hide details of memory audit on exit().

	* tack.c, init.c, sysdep.c: use ExitProgram() macro

	* configure.in: add "--disable-leaks" and related testing options.

	* aclocal.m4:
	add macros used for "--disable-leaks" and related testing options

	* configure.in:
	use CF_NCURSES_CONFIG to find ncurses5-config, etc., fixing rpath issues.
	add check for ticlib, if needed.  remove check for pdcurses (this will
	never work with anything except for ncurses), and add checks for select()
	and gettimeofday().

	* aclocal.m4:
	modify CF_XOPEN_SOURCE to add FreeBSD/GNU (kFreeBSD) pattern

	* Makefile.in: rename mkinstalldirs to mkdirs.sh

	* HISTORY: 1.04

2007-04-07  Thomas E. Dickey  <dickey@invisible-island.net>

	* ansi.c, output.c: fixes from Coverity report

2007-03-25  Thomas E. Dickey  <dickey@invisible-island.net>

	* mkdirs.sh: RCS_BASE

2007-01-28  Thomas E. Dickey  <dickey@invisible-island.net>

	* HISTORY: tack's out of ncurses now.

	* Makefile.in: make install rule work

	* tack.h: bump to 1.03

	* Makefile.in: first cut of installing manpage

	* Makefile.in: tweaks to work after chopping out of ncurses tree

2007-01-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* HISTORY: update to 1.03

	* README: FROM_KEYS

2007-01-13  Thomas E. Dickey  <dickey@invisible-island.net>

	* Makefile.in: FROM_KEYS

	* configure: RCS_BASE

	* configure.in, aclocal.m4: FROM_KEYS

2006-12-23  Thomas E. Dickey  <dickey@invisible-island.net>

	* modules: FROM_KEYS

2006-12-22  Thomas E. Dickey  <dickey@invisible-island.net>

	* config.guess: RCS_BASE

2006-12-08  Thomas E. Dickey  <dickey@invisible-island.net>

	* config.sub: RCS_BASE

2006-11-25  Thomas E. Dickey  <dickey@invisible-island.net>

	* output.c: FROM_KEYS

	* modes.c: from ncurses

	* init.c, fun.c: FROM_KEYS

	* crum.c: from ncurses

	* color.c, charset.c, tack.h: FROM_KEYS

2006-06-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* control.c, edit.c: FROM_KEYS

2006-05-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* sync.c: FROM_KEYS

2006-04-22  Thomas E. Dickey  <dickey@invisible-island.net>

	* tack.1: FROM_KEYS

2005-09-17  Thomas E. Dickey  <dickey@invisible-island.net>

	* ansi.c, pad.c, sysdep.c: FROM_KEYS

	* menu.c, scan.c, tack.c: from ncurses

	* COPYING: fix address

2003-11-29  Thomas E. Dickey  <dickey@invisible-island.net>

	* install-sh: resync with my-autoconf

2002-06-29  Thomas E. Dickey  <dickey@invisible-island.net>

	* mkinstalldirs: RCS_BASE

2001-06-22  Thomas E. Dickey  <dickey@clark.net>

	* install-sh: RCS_BASE

1999-02-07  Thomas E. Dickey  <dickey@clark.net>

	* HISTORY: nit

	* init.c: tweak to make this build after renaming as per Alexander

1998-09-26  Thomas E. Dickey  <dickey@clark.net>

	* edit.c: add param to _nc_tic_expand()

1998-03-28  Thomas E. Dickey  <dickey@clark.net>

	* Makefile.in: updates to sync with ncurses 4.2

1998-02-11  Thomas E. Dickey  <dickey@clark.net>

	* ncurses_tst.hin: FROM_KEYS

1998-01-09  Daniel.Weaver

	* tack.c, Makefile.in, tack.h, control.c, color.c, charset.c, ansi.c, sysdep.c, sync.c, scan.c, pad.c, output.c, modes.c, menu.c, init.c, fun.c, edit.c, crum.c, HISTORY, COPYING:
	tack-1.00

1998-01-03  Thomas E. Dickey  <dickey@clark.net>

	* tack.h: moved ncurses' externs to tic.h

	* edit.c: split-out _nc_tic_expand(), as per DW's request.

	* sysdep.c: nits (we don't _need_ time.h?)

	* tack.h: SCO's compiler doesn't like array-of-const

1998-01-02  Thomas E. Dickey  <dickey@clark.net>

	* control.c: work with no 'gettimeofday()'
	workaround for SCO 3.x compiler which gets confused by array of const.

	* output.c, edit.c, fun.c: SCO's compiler doesn't like array-of-const

	* ansi.c: SCO's compiler: parameter promotion warnings.

1997-12-28  Thomas E. Dickey  <dickey@clark.net>

	* tack.h: first cut of fixes for AIX/SCO/CLIX

	* sysdep.c, control.c: first cut of fixes for AIX/CLIX/SCO

1997-12-27  Thomas E. Dickey  <dickey@clark.net>

	* ansi.c, charset.c, control.c, crum.c, edit.c, fun.c, init.c, menu.c, modes.c, output.c, scan.c, sync.c, sysdep.c, tack.c:
	integration with ncurses: restructured includes, fix gcc warnings

	* pad.c:
	integration with ncurses: restructures includes, fix gcc warnings

	* color.c: typo

	* tack.h:
	integration with ncurses: reordered headers, provide fallback definitions
	for the stuff we get from ncurses_cfg.h, make some stuff const.

	* Makefile.in: use HAVE_SELECT from configure-script

	* color.c:
	integration with ncurses: move most headers into tack.h, fix gcc warnings

	* Makefile.in: we'll have a config.h (actually ncurses_cfg.h)

	* modules: set base-subset

1997-12-24  Daniel.Weaver

	* HISTORY: ncurses-4.1-971220

1997-12-22  Daniel.Weaver

	* ansi.c, tack.1: ncurses-4.1-971220

1997-12-02  Daniel.Weaver

	* tack.c, init.c: ncurses-4.1-971220

1997-11-30  Daniel.Weaver

	* edit.c: ncurses-4.1-971220

1997-11-29  Daniel.Weaver

	* charset.c, pad.c: ncurses-4.1-971220

1997-11-07  Daniel.Weaver

	* sync.c, fun.c, crum.c, modes.c, control.c, sysdep.c, output.c, tack.h:
	ncurses-4.1-971220

1997-11-04  Daniel.Weaver

	* Makefile.in, menu.c: ncurses-4.1-971220

1997-11-03  Daniel.Weaver

	* scan.c, color.c, modules: ncurses-4.1-971220

1997-10-29  Daniel.Weaver

	* control.c, fun.c: ncurses-4.1-971101

1997-10-26  Daniel.Weaver

	* makefile, edit.c, tack.h, sync.c: ncurses-4.1-971101

1997-10-25  Daniel.Weaver

	* pad.c, tack.1: ncurses-4.1-971101

1997-10-19  Daniel.Weaver

	* tack.c, sysdep.c, scan.c, output.c, modes.c, menu.c, init.c, crum.c, color.c, charset.c, ansi.c, HISTORY:
	ncurses-4.1-971101

1997-10-11  Thomas E. Dickey  <dickey@clark.net>

	* RCS: PERMIT FILE

1997-10-06  Daniel.Weaver

	* makefile, tac.h, tack.c: ncurses-4.1-971011

1997-10-04  Daniel.Weaver

	* control.c, fun.c, sync.c, init.c, pad.c, modes.c, sysdep.c:
	ncurses-4.1-971011

1997-10-03  Daniel.Weaver

	* charset.c, output.c, edit.c, crum.c: ncurses-4.1-971011

1997-10-02  Daniel.Weaver

	* menu.c: ncurses-4.1-971011

1997-09-29  Daniel.Weaver

	* color.c, ansi.c: ncurses-4.1-971011

1997-09-28  Daniel.Weaver

	* tic.h: ncurses-4.1-971011

1997-09-22  Daniel.Weaver

	* scan.c: ncurses-4.1-971011

